/* ===============================
   CONTENEDOR LOGIN
================================ */
.login-wrap{
  min-height:100vh;
  display:grid;
  place-items:center;
  padding:24px;
}

/* ===============================
   TARJETA LOGIN
================================ */
.login-card{
  width:min(980px,96vw);
  background:#fff;
  border-radius:18px;
  box-shadow:var(--shadow);
  display:grid;
  grid-template-columns:1.15fr 1fr;
  overflow:hidden;
}

/* ===============================
   LADO IZQUIERDO (IMAGEN)
================================ */
.login-left{
  display:grid;
  place-items:center;
  padding:20px;
}

.login-left img{
  width:100%;
  max-width:520px;
}

/*LADO DERECHO (FORM)*/
.login-right{
  padding:42px 44px;
  display:flex;
  flex-direction:column;
  justify-content:center;
}

/*LOGO*/
.logo{
  display:flex;
  justify-content:center;
  margin-bottom:12px;
}

.logo img{
  width:120px;
}

/*TITULOS*/
.title{
  font-size:22px;
  font-weight:900;
  color:var(--secondary);
}

.subtitle{
  margin:8px 0 20px;
  color:#6b7280;
  font-size:14px;
}

/*FORMULARIO*/
.field{
  margin:14px 0;
}

label{
  display:block;
  margin-bottom:6px;
  font-weight:700;
  font-size:13px;
}

/*INPUTS*/
.input-icon{
  position:relative;
}

.input-icon input{
  width:100%;
  padding:12px 44px 12px 14px;
  border-radius:999px;
  border:1px solid var(--border);
  font-size:14px;
  outline:none;
}

.input-icon input:focus{
  border-color:var(--primary);
  box-shadow:0 0 0 4px rgba(217,119,6,.25);
}

.icon{
  position:absolute;
  right:14px;
  top:50%;
  transform:translateY(-50%);
  opacity:.6;
}

/*ACCIONES*/
.actions{
  display:flex;
  justify-content:flex-end;
}

.forgot{
  font-size:12px;
  color:#6b7280;
  text-decoration:none;
}

.forgot:hover{
  text-decoration:underline;
}

/* BOTON LOGIN*/
.btn-signin{
  margin-top:18px;
  padding:12px 16px;
  border-radius:999px;
  border:none;
  background:linear-gradient(135deg,#FBBF24,var(--primary));
  color:#fff;
  font-weight:800;
  cursor:pointer;
}

.btn-signin:hover{
  filter:brightness(.95);
  transform:translateY(-1px);
}



/*RESPONSIVE*/
@media(max-width:860px){
  .login-card{
    grid-template-columns:1fr;
  }

  .login-right{
    padding:26px 22px;
  }
}